//
//  BCANTResponseQueue.h
//
//  Created by Umeno Katsuhiko on 12/08/21.
//  Copyright (c) 2012 BeatCraft,Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "BCANTResponseEvent.h"
#import "BCANTStatus.h"

@interface BCANTResponseQueue : NSObject
{
@private
    NSMutableArray*         _queue;
    NSCondition*            _cond;
}

- (id) init;
- (NSInteger) count;
- (void) clear;

- (void) addResponse:(BCANTResponse*) response;
- (BCANTResponse*) getResponse;

- (NSInteger) waitRespons:(NSInteger)secs;
- (NSInteger) waitChannelResponse:(UInt8)messageID secs:(NSInteger)secs;
- (NSInteger) waitRespons:(UInt8) msgID response:(BCANTResponse**)response secs:(NSInteger)secs;

@end
